# Wowza Video REST API Reference Documentation
API lifecycle phase: [Deprecated](https://www.wowza.com/docs/wowza-video-rest-api-lifecycle-management#api-lifecycle0)
|
Want to take the API for a test run?
All you'll need is a [Wowza Video subscription](https://www.wowza.com/pricing), or [free trial](https://www.wowza.com/free-trial), for the API access token. Then, fork [our collection in Postman](https://www.postman.com/wowzavideo/workspace/wowza-video-rest-api) and you'll be
making calls to our REST API in minutes!
See [Trial the Wowza Video REST API using Postman](https://www.wowza.com/docs/trial-the-wowza-video-rest-api-using-postman) for more information.
|
This reference documentation provides details about the operations, parameters, and request and reponse schemas for every resource and endpoint in the Wowza Video REST API.
Samples appear in the right column. Sample requests are presented in cURL (Shell) and JavaScript; some samples also include just the JSON object. Response samples are all JSON.
Examples in cURL use environment variables so you can easily copy and paste them. To learn more, see [Using cURL](https://wowza.com/docs/how-to-use-the-wowza-video-rest-api#curl).
Reference documentation is available for every version of the API. Use the **Version** menu at the top of the page to access the reference doc for a different version of the API.
Version: v1.10
License: Terms of Use
## Servers
```
https://api.video.wowza.com/api/v1.10
```
## Security
### WV_JWT
Your Wowza-generated access token, also called a JSON web token (JWT). Send it as a bearer token in the Authentication header of your requests. See [Authentication](https://www.wowza.com/docs/how-to-use-the-wowza-video-rest-api#authentication).
Type: http
Scheme: bearer
## Download OpenAPI description
[Wowza Video REST API Reference Documentation](https://developer.wowza.com/_bundle/docs/wowza-video/api/video/@v1.10/openapi.yaml)
## Live Streams
Operations related to live streams. A live stream is a single, linear video broadcast. You broadcast a live stream by receiving encoded source video into the Wowza Video service and letting Wowza Video transcode the stream and deliver it to viewers. A live stream is essentially a one-stop method for creating a transcoder, output renditions, stream targets, and associated players.
### Create a live stream
- [POST /live_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/createlivestream.md): This operation creates a live stream.
### Fetch all live streams
- [GET /live_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/listlivestreams.md): This operation shows limited details for all of your live streams. For detailed information, fetch a single live stream.
### Fetch a live stream
- [GET /live_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/showlivestream.md): This operation shows the details of a specific live stream.
### Update a live stream
- [PATCH /live_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/updatelivestream.md): This operation updates a live stream.
### Delete a live stream
- [DELETE /live_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/deletelivestream.md): This operation deletes a live stream, including all assigned outputs and targets. Note: You can't remove live streams that have an asset_id. Assets must be removed by sending a DEL request to the /assets endpoint.
### Start a live stream
- [PUT /live_streams/{id}/start](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/startlivestream.md): This operation starts a live stream.
### Stop a live stream
- [PUT /live_streams/{id}/stop](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/stoplivestream.md): This operation stops a live stream.
### Reset a live stream
- [PUT /live_streams/{id}/reset](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/resetlivestream.md): This operation resets a live stream.
### Regenerate the connection code for a live stream
- [PUT /live_streams/{id}/regenerate_connection_code](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/regenerateconnectioncodelivestream.md): This operation regenerates the connection code of a live stream.
### Fetch the thumbnail URL of a live stream
- [GET /live_streams/{id}/thumbnail_url](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/showlivestreamthumbnailurl.md): This operation shows the thumbnail URL of a started live stream.
### Fetch the state of a live stream
- [GET /live_streams/{id}/state](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/showlivestreamstate.md): This operation shows the current state of a live stream.
### Fetch metrics for an active live stream
- [GET /live_streams/{id}/stats](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/live_streams/showlivestreamstats.md): This operation returns a hash of metrics keys, each of which identifies a status, text description, unit, and value.
## Players
Operations related to players, which are created through the ``/live_streams`` resource. Players created through Wowza Video live streams can be embedded into your own web page or played through a web page hosted by Wowza Video.
### Fetch all players
- [GET /players](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/listplayers.md): This operation shows limited details for all of your players. For detailed information, fetch a single player.
### Fetch a player
- [GET /players/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/showplayer.md): This operation shows details of a specific player.
### Update a player
- [PATCH /players/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/updateplayer.md): This operation updates a player.
### Rebuild player code
- [POST /players/{id}/rebuild](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/requestplayerrebuild.md): This operation rebuilds the player with the current configuration.
### Fetch the state of a player
- [GET /players/{id}/state](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/showplayerstate.md): This operation shows the current state of a player.
### Create a player URL
- [POST /players/{player_id}/urls](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/createplayerurl.md): This operation creates a new player URL.
### Fetch all player URLs
- [GET /players/{player_id}/urls](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/listplayerurls.md): This operation shows the details of all player URLs.
### Fetch a player URL
- [GET /players/{player_id}/urls/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/showplayerurl.md): This operation shows the details of a player URL.
### Update a player URL
- [PATCH /players/{player_id}/urls/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/updateplayerurl.md): This operation updates a player URL.
### Delete a player URL
- [DELETE /players/{player_id}/urls/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/players/deleteplayerurl.md): This operation deletes a player URL.
## Transcoders
Operations related to transcoders, output renditions, and output stream targets.
### Transcoders
Wowza Video transcoders allow you to customize transcoding processes by creating transcoders that are optimized for various network or streaming conditions. When you create a transcoder through the ``/transcoders`` endpoint, you must manually configure output renditions and associated output stream targets.
Transcoders, like live streams, can be adaptive bitrate or passthrough. An adaptive bitrate transcoder generates multiple output renditions of your live stream, at different bitrates. A passthrough transcoder, in contrast, sends the source video to a stream target without performing transcoding. Passthrough transcoders, which can only be created if you have a subscription plan that supports them, accrue processing time, bandwidth, and egress usage, but much less than their adaptive bitrate counterparts.
### Output Renditions
Before you can start an adaptive bitrate transcoder, you must use the ``/transcoders/{transcoder_id}/outputs`` operations to define the adaptive bitrate output renditions that you want the transcoder to create. Passthrough transcoders require only one output rendition because they send source video to a stream target without transcoding.
### Output Stream Targets
Transcoders require output stream targets before you can start them. Although you create and configure stream targets using the different ``/stream_targets`` operations, you must associate a stream target to a transcoder's output rendition using the /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets operations. For an adaptive bitrate transcoder with multiple output renditions defined, you must create output stream targets to associate a stream target to each output rendition. For a passthrough transcoder, you only need one output stream target.
### Create a transcoder
- [POST /transcoders](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/createtranscoder.md): This operation creates a transcoder.
### Fetch all transcoders
- [GET /transcoders](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/listtranscoders.md): This operation shows limited details for all of your transcoders. For detailed information, fetch a single transcoder.
### Fetch a transcoder
- [GET /transcoders/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showtranscoder.md): This operation shows the details of a specific transcoder.
### Update a transcoder
- [PATCH /transcoders/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/updatetranscoder.md): This operation updates a transcoder.
### Delete a transcoder
- [DELETE /transcoders/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/deletetranscoder.md): This operation deletes a transcoder, including all of its assigned output renditions and stream targets. Note: You can't remove transcoders that have an asset_id. Assets must be removed by sending a DEL request to the /assets endpoint.
### Enable a transcoder's stream targets
- [PUT /transcoders/{id}/enable_all_stream_targets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/enableallstreamtargetstranscoder.md): This operation enables all of the stream targets assigned to a specific transcoder.
### Disable a transcoder's stream targets
- [PUT /transcoders/{id}/disable_all_stream_targets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/disableallstreamtargetstranscoder.md): This operation disables all of the stream targets assigned to a specific transcoder.
### Start a transcoder
- [PUT /transcoders/{id}/start](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/starttranscoder.md): This operation starts a transcoder.
### Stop a transcoder
- [PUT /transcoders/{id}/stop](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/stoptranscoder.md): This operation stops a transcoder.
### Reset a transcoder
- [PUT /transcoders/{id}/reset](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/resettranscoder.md): This operation resets a transcoder.
### Start recording
- [PUT /transcoders/{id}/start_recording](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/starttranscoderrecording.md): This operation starts the recording of a transcoder after the transcoder has started.
If you want the recording to start and stop automatically when you start or stop the transcoder instead, set _recording_ to true when you create a transcoder or update a transcoder.
### Stop recording
- [PUT /transcoders/{id}/stop_recording](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/stoptranscoderrecording.md): This operation stops the recording of a transcoder before the transcoder has stopped. Wowza Video begins converting the recording to an MP4 file after the transcoder has stopped. You can use this operation to manually stop recording even if _recording_ is set to true on the transcoder, meaning the recording was automatically started at transcoder start.
If you want the recording to start and stop automatically when you start and stop the transcoder, set _recording_ to true when you create a transcoder or update a transcoder and then don't use the manual stop recording operation.
### Fetch a transcoder's recordings
- [GET /transcoders/{id}/recordings](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/listtranscoderrecordings.md): This operation shows limited details of all of the recordings for a specific transcoder. For detailed information about a recording, use the recording ID to fetch a recording.
### Fetch transcoder's schedules
- [GET /transcoders/{id}/schedules](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/listtranscoderschedules.md): This operation shows the details of all of the schedules for a specific transcoder.
### Fetch the thumbnail URL of a transcoder
- [GET /transcoders/{id}/thumbnail_url](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showtranscoderthumbnailurl.md): This operation shows the thumbnail URL of a started transcoder.
### Fetch the state and uptime ID of a transcoder
- [GET /transcoders/{id}/state](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showtranscoderstate.md): This operation shows the current state and uptime ID of a transcoder.
### Fetch statistics for a current transcoder
- [GET /transcoders/{id}/stats](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showtranscoderstats.md): This operation responds with a hash of metrics (keys) for a currently running transcoder. Each key has a status, text (description), units, and value.
### Fetch all VOD streams for a transcoder
- [GET /transcoders/{id}/vod_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/listtranscodervodstreams.md): (Available from version 1.5) This operation shows the details of all VOD streams associated to a specific transcoder.
### Fetch all uptime records for a transcoder
- [GET /transcoders/{transcoder_id}/uptimes](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/indexuptimes.md): This operation shows all of the uptime records for a specific transcoder. An uptime record identifies a specific transcoding session.
### Fetch an uptime record
- [GET /transcoders/{transcoder_id}/uptimes/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showuptime.md): This operation shows the details of a specific uptime record for a specific transcoder. An uptime record identifies a transcoding session.
### Fetch current stream health metrics for an active transcoder
- [GET /transcoders/{transcoder_id}/uptimes/{id}/metrics/current](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showuptimemetricscurrent.md): This operation returns a snapshot of the current source connection and processing details of an active (running) transcoder.
### Fetch historic stream health metrics for a transcoder
- [GET /transcoders/{transcoder_id}/uptimes/{id}/metrics/historic](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showuptimemetricshistoric.md): This operation shows the historic source connection and processing details for a transcoding session (uptime record). The transcoder can be running or stopped. Metrics are recorded every 20 seconds.
### Create an output
- [POST /transcoders/{transcoder_id}/outputs](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/createtranscoderoutput.md): This operation creates an output rendition for a specific transcoder. You can create up to 10 outputs per transcoder.
### Fetch all outputs of a transcoder
- [GET /transcoders/{transcoder_id}/outputs](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/listtranscoderoutputs.md): This operation shows the details of all of the output renditions of a specific transcoder.
### Fetch an output
- [GET /transcoders/{transcoder_id}/outputs/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showtranscoderoutput.md): This operation shows the details of a specific output rendition for a specific transcoder.
### Update an output
- [PATCH /transcoders/{transcoder_id}/outputs/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/updatetranscoderoutput.md): This operation updates an output rendition.
### Delete an output
- [DELETE /transcoders/{transcoder_id}/outputs/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/deletetranscoderoutput.md): This operation deletes an output, including all of its assigned targets.
### Create an output stream target
- [POST /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/createtranscoderoutputoutputstreamtarget.md): This operation creates an output stream target, assigning the stream target to the specified output rendition.
### Fetch all output stream targets of an output of a transcoder
- [GET /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/listtranscoderoutputoutputstreamtargets.md): This operation shows the details of all of the output stream targets of an output of a transcoder.
### Fetch an output stream target
- [GET /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets/{stream_target_id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showtranscoderoutputoutputstreamtarget.md): This operation shows the details of an output stream target.
### Update an output stream target
- [PATCH /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets/{stream_target_id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/updatetranscoderoutputoutputstreamtarget.md): This operation updates an output stream target.
### Delete an output stream target
- [DELETE /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets/{stream_target_id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/deletetranscoderoutputoutputstreamtarget.md): This operation deletes an output stream target, including all of its assigned targets.
### Enable an output stream target
- [PUT /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets/{stream_target_id}/enable](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/enabletranscoderoutputoutputstreamtarget.md): This operation enables an output stream target.
### Disable an output stream target
- [PUT /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets/{stream_target_id}/disable](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/disabletranscoderoutputoutputstreamtarget.md): This operation disables an output stream target.
### Restart an output stream target
- [PUT /transcoders/{transcoder_id}/outputs/{output_id}/output_stream_targets/{stream_target_id}/restart](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/restarttranscoderoutputoutputstreamtarget.md): This operation restarts an output stream target.
### Configure a property for a transcoder
- [POST /transcoders/{transcoder_id}/properties](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/createtranscoderproperty.md): This operation configures a single property or an array of properties for a transcoder.
For a comprehensive resource describing the use of advanced properties, see Set advanced properties with the Wowza Video REST API.
### Fetch a transcoder's properties
- [GET /transcoders/{transcoder_id}/properties](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/listtranscoderproperties.md): This operation shows all of the properties of a specific transcoder.
### Fetch a property for a transcoder
- [GET /transcoders/{transcoder_id}/properties/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/showtranscoderproperty.md): This operation shows the details of a specific property for a specific transcoder.
### Delete a transcoder's property
- [DELETE /transcoders/{transcoder_id}/properties/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/transcoders/deletetranscoderproperty.md): This operation deletes a specific property from a specific transcoder.
## Stream Sources
Operations related to stream sources. You can create a Wowza stream source and associate it to a live stream or transcoder.
### Wowza Stream Sources
When you set up a Wowza stream source with a live stream or transcoder, Wowza Video can automatically detect broadcast location, automatically start a stream when the video source starts, and automatically stop a stream after the video source disconnects.
### Fetch all stream sources
- [GET /stream_sources](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_sources/liststreamsources.md): This operation shows limited details for all of your stream sources. For detailed information, fetch a single stream source of the appropriate type.
### Create a Wowza stream source
- [POST /stream_sources/wowza](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_sources/createwowzastreamsource.md): (Available from version 1.4) This operation creates a Wowza stream source. A Wowza stream source enables automatic transcoder start, stop, and broadcast location detection.
### Fetch all Wowza stream sources
- [GET /stream_sources/wowza](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_sources/listwowzastreamsources.md): (Available from version 1.4) This operation shows limited details for all of your Wowza stream sources. A Wowza stream source enables automatic transcoder start, stop, and broadcast location detection. For detailed information, fetch a single Wowza stream source.
### Fetch a Wowza stream source
- [GET /stream_sources/wowza/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_sources/showwowzastreamsource.md): (Available from version 1.4) This operation shows details of a specific Wowza stream source. A Wowza stream source enables automatic transcoder start, stop, and broadcast location detection.
### Update a Wowza stream source
- [PATCH /stream_sources/wowza/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_sources/updatewowzastreamsource.md): (Available from version 1.4) This operation updates a Wowza stream source. A Wowza stream source enables automatic transcoder start, stop, and broadcast location detection.
### Delete a Wowza stream source
- [DELETE /stream_sources/wowza/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_sources/deletewowzastreamsource.md): (Available from version 1.4) This operation deletes a Wowza stream source.
## Stream Targets
Operations related to stream targets. A stream target is a destination for a stream. Stream targets can be Wowza Video edge resources; custom, external destinations target destinations.
### Wowza CDN on Fastly Stream Targets
Wowza CDN on Fastly stream targets leverage the Fastly CDN to distribute streams to players. A separate Fastly subscription isn't required because the Fastly CDN is integrated directly into Wowza Video. When you create a live stream in the API, a Wowza CDN on Fastly stream target is created automatically. In contrast, you can use ``/stream_targets/fastly`` endpoints to manually create Wowza CDN on Fastly stream targets and associate them with transcoders.
With Wowza CDN on Fastly stream targets, you can use geo-blocking to control locations where your stream can be viewed, and you can use token authentication to restrict access to streams. Advanced configuration properties are available for Wowza CDN on Fastly stream targets.
### Custom Stream Targets
Custom stream targets connect to external CDNs to deliver streams to viewers. You manually create custom stream targets and associate them to a transcoder. You can configure advanced properties for custom stream targets that deliver HLS streams through the **akamai_cupertino** provider.
### Wowza CDN on Akamai Stream targets
You can no longer create Wowza CDN on Akamai stream targets. While you can view details of an Akamai stream and delete it, that functionality will also soon be disabled.
### Fetch all stream targets
- [GET /stream_targets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/liststreamtargets.md): This operation lists limited details for custom stream targets and Wowza CDN on Fastly stream targets. For detailed information, fetch a single stream target of a specific type.
### Create a custom stream target
- [POST /stream_targets/custom](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/createcustomstreamtarget.md): This operation creates a custom stream target for an external, third-party destination.
### Fetch all custom stream targets
- [GET /stream_targets/custom](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/listcustomstreamtargets.md): This operation lists limited details for all of your custom stream targets. For detailed information, fetch a single custom stream target.
### Fetch a custom stream target
- [GET /stream_targets/custom/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/showcustomstreamtarget.md): This operation shows the details of a specific custom stream target.
### Update a custom stream target
- [PATCH /stream_targets/custom/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/updatecustomstreamtarget.md): This operation updates a custom stream target.
### Delete a custom stream target
- [DELETE /stream_targets/custom/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/deletecustomstreamtarget.md): This operation deletes a custom stream target. Note: You can't remove stream targets that have an asset_id. Assets must be removed by sending a DEL request to the /assets endpoint.
### Create a Wowza CDN on Fastly stream target
- [POST /stream_targets/fastly](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/createfastlystreamtarget.md): (Available from version 1.4) This operation creates a Wowza CDN on Fastly stream target to deliver your stream using the Wowza CDN on Fastly.
### Fetch all Wowza CDN on Fastly stream targets
- [GET /stream_targets/fastly](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/listfastlystreamtargets.md): (Available from version 1.4) This operation lists limited details for all of your Wowza CDN on Fastly stream targets. For detailed information, fetch a single target.
### Fetch a Wowza CDN on Fastly stream target
- [GET /stream_targets/fastly/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/showfastlystreamtarget.md): (Available from version 1.4) This operation shows the details of a specific Wowza CDN on Fastly stream target.
### Update a Wowza CDN on Fastly stream target
- [PATCH /stream_targets/fastly/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/updatefastlystreamtarget.md): (Available from version 1.4) This operation updates a Wowza CDN on Fastly stream target.
### Delete a Wowza CDN on Fastly stream target
- [DELETE /stream_targets/fastly/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/deletefastlystreamtarget.md): (Available from version 1.4) This operation deletes a Wowza CDN on Fastly stream target. Note: You can't remove stream targets that have an asset_id. Assets must be removed by sending a DEL request to the /assets endpoint.
### Fetch all VOD streams for a Fastly stream target
- [GET /stream_targets/fastly/{id}/vod_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/listfastlystreamtargetvodstreams.md): (Available from version 1.5) This operation shows the details of all VOD streams associated to a specific Fastly stream target.
### Regenerate the connection code for any stream target
- [PUT /stream_targets/{id}/regenerate_connection_code](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/regenerateconnectioncodestreamtarget.md): This operation regenerates the connection code of any kind of stream target.
### Configure a property for a stream target
- [POST /stream_targets/{stream_target_id}/properties](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/createstreamtargetproperty.md): This operation configures a property for a stream target. The properties available will depend on the provider you are using and are noted in the key descriptions below. For example, if you are using the provider Wowza CDN on Fastly, look for that in the descriptions.
For a comprehensive resource describing the use of advanced properties, see Set advanced properties with the Wowza Video REST API.
### Fetch all properties of a stream target
- [GET /stream_targets/{stream_target_id}/properties](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/liststreamtargetproperties.md): This operation shows the details of all of the properties assigned to a specific stream target. The properties returned will depend on the provider you are using and are noted in the key descriptions below.
For a comprehensive resource describing the use of advanced properties, see [Set advanced properties with the Wowza Video
REST API](https://www.wowza.com/docs/how-to-set-advanced-properties-by-using-the-wowza-video-rest-api).
### Fetch a property of a stream target
- [GET /stream_targets/{stream_target_id}/properties/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/showstreamtargetproperty.md): This operation shows the details of a specific property assigned to a specific stream target. The properties returned will depend on the provider you are using and are noted in the key descriptions below.
For a comprehensive resource describing the use of advanced properties, see [Set advanced properties with the Wowza Video
REST API](https://www.wowza.com/docs/how-to-set-advanced-properties-by-using-the-wowza-video-rest-api).
### Delete a stream target property
- [DELETE /stream_targets/{stream_target_id}/properties/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/stream_targets/deletestreamtargetproperty.md): This operation removes a property from a stream target.
## Assets
Operations related to assets, which are created through the ``/assets`` resources. The Wowza Video service can store and transcode mp4 files that you can tag, manage, and restream.
### Create an asset
- [POST /assets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/createasset.md): This operation creates an asset. You can only upload MP4 format and H.264 and AAC encoded files. Any files with unsupported codecs are rejected.
### Fetch all assets
- [GET /assets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/listassets.md): This operation shows limited details for all of your assets. For detailed information, fetch a single asset.
### Fetch an asset
- [GET /assets/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/showasset.md): This operation shows the details of a specific asset.
The fields returned vary depending on when you send this request. For example, if a resource hasn't been created yet during the processing state, you won't see available_renditions in the response.
Tip: If your original upload URL expired and you need a new one for an asset, send this request and the response will contain a new upload URL.
### Update an asset
- [PATCH /assets/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/updateasset.md): This operation updates an asset. Assets must be uploaded and complete processing before they can be updated.
The fields returned vary depending on when you send this request. For example, if a stream doesn't have unique viewer data, you won't see unique_viewers in the response.
### Delete an asset
- [DELETE /assets/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/deleteasset.md): This operation deletes an asset, including all assigned outputs and targets.
### Restream an asset
- [POST /assets/{id}/live_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/restreamasset.md): This operation returns a live stream ID you can use to re-stream an uploaded asset.
### Fetch all asset tags
- [GET /asset_tags](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/asset_tags.md): This operation retrieves a list of all of the tags that have been used previously by an organization.
### Report asset as uploaded
- [PATCH /assets/{id}/upload_completed](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/reportuploadedasset.md): This operation reports that an asset was successfully uploaded to storage.
### Report asset upload as failed
- [PATCH /assets/{id}/upload_failed](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/assets/reportuploadfailedasset.md): This operation reports that an asset uploaded to storage failed. You can only upload MP4 format and H.264 and AAC encoded files. Any files with unsupported codecs are rejected.
## Recordings
Operations related to recordings, which are created through the ``/live_streams`` or ``/transcoders`` resources. The Wowza Video service can create MP4 recordings of your live streams and transcoded output. Recordings can be downloaded and saved locally. They're based on the highest-bitrate output rendition that Wowza Video generates from your video source. See [About recordings](https://www.wowza.com/docs/record-live-streams-and-transcoders#aboutREC) to learn more.
### Fetch all recordings
- [GET /recordings](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/recordings/listrecordings.md): This operation shows limited details for all of your recordings. For detailed information, fetch a single recording.
### Fetch a recording
- [GET /recordings/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/recordings/showrecording.md): This operation shows the details of a specific recording.
### Delete a recording
- [DELETE /recordings/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/recordings/deleterecording.md): This operation deletes a recording. Note: You can't remove recordings that have an asset_id. Assets must be removed by sending a DEL request to the /assets endpoint.
### Fetch the state of a recording
- [GET /recordings/{id}/state](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/recordings/showrecordingstate.md): This operation shows the current state of a recording.
## Schedules
Operations related to schedules. Schedules allow you to automatically start or stop a live stream or transcoder at a predetermined date and time. You can configure a schedule to start and/or stop a live stream or transcoder just once, or you can configure it to repeat the behavior on a regular basis. See [About schedules](https://www.wowza.com/docs/schedule-live-streams-and-transcoders#aboutSCH) to learn more.
### Create a schedule
- [POST /schedules](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/createschedule.md): This operation creates a schedule.
### Fetch all schedules
- [GET /schedules](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/listschedules.md): This operation shows the details of all of your schedules.
### Fetch a schedule
- [GET /schedules/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/showschedule.md): This operation shows the details of a specific schedule.
### Update a schedule
- [PATCH /schedules/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/updateschedule.md): This operation updates a schedule.
### Delete a schedule
- [DELETE /schedules/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/deleteschedule.md): This operation deletes a schedule.
### Enable a schedule
- [PUT /schedules/{id}/enable](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/enableschedule.md): This operation enables a schedule.
### Disable a schedule
- [PUT /schedules/{id}/disable](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/disableschedule.md): This operation disables a schedule.
### Fetch the state of a schedule
- [GET /schedules/{id}/state](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/schedules/showschedulestate.md): This operation shows the current state of a schedule.
## VOD Streams
Operations related to video on demand (VOD) streams, which are created through the ``/live_streams`` or ``/transcoders`` resources. A VOD stream is a recording of a live stream that viewers can replay at a later date. After the broadcast is over and the live stream or transcoder is stopped, Wowza Video creates the VOD stream and generates a playback URL. See [About VOD Streams](https://www.wowza.com/docs/create-a-vod-stream#about-vod-streams) to learn more.
### Fetch all VOD streams
- [GET /vod_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/vod_streams/listvodstreams.md): (Available from version 1.5) This operation shows limited details for VOD streams. For detailed information, fetch a single VOD stream.
### Fetch a VOD stream
- [GET /vod_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/vod_streams/showvodstream.md): (Available from version 1.5) This operation shows the details of a specific VOD stream.
### Update a VOD stream
- [PATCH /vod_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/vod_streams/updatevodstream.md): (Available from version 1.5) This operation updates a VOD stream.
### Delete a VOD stream
- [DELETE /vod_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/vod_streams/deletevodstream.md): (Available from version 1.5) This operation deletes a VOD stream. Note: You can't remove VOD streams that have an asset_id. Assets must be removed by sending a DEL request to the /assets endpoint.
## Real-Time Streams
Operations related to Real-Time Streaming at Scale. If your audience is fewer than 300 viewers or you want to deliver a stream in near real time alongside other delivery protocols, use our WebRTC solution.
To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.
### Create a real-time stream
- [POST /real_time](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/real_time/createrealtimestream.md): This operation creates a real-time stream.
### Fetch all real-time streams
- [GET /real_time](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/real_time/listrealtimestreams.md): This operation shows limited details for all of your real-time streams. For detailed information, fetch a single real-time stream.
### Fetch a real-time stream
- [GET /real_time/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/real_time/showrealtimestream.md): This operation shows the details of a specific real-time stream.
### Update a real-time stream
- [PATCH /real_time/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/real_time/updaterealtimestream.md): This operation updates a real-time stream.
### Delete a real-time stream
- [DELETE /real_time/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/real_time/deleterealtimestream.md): This operation deletes a real-time stream.
## Account
Operations related to stream analytics for an account.
### Fetch usage for an account
- [GET /usage/accounts](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_account/showusageaccountindex.md): (Available from version 1.8) This operation returns CDN usage details for the account related to the JSON web token used for API authentication. Defaults: from = last billing date, to = end of current day.
### Fetch stream usage by country for an account
- [GET /usage/accounts/countries](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_account/usageaccountbycountry.md): (Available from version 1.8) This operation returns CDN usage details by country for the account related to the JSON web token used for API authentication. CDN usage is the amount of data that went through every Fastly stream target, including unique viewers, viewing time, and bytes of content.
### Fetch trend data for an account
- [GET /usage/accounts/trend](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_account/showusageaccounttrend.md): (Available from version 1.8) This operation returns trend data for the CDN usage of the account related to the JSON web token used for API authentication.
The granularity of sampled data changes based on the from and to query values you use:
1) Requests made for data within the past 30 days, return the following sample intervals:
0 minutes to 3 hours - Samples returned per minute
3 hours, 1 second to 24 hours - Samples returned per hour
24 hours, 1 second to 90 days - Samples returned per day
2) Requests made for data beyond the past 30 days, always return sample intervals per hour.
Defaults: from = last billing date, to = end of current day, filter = transcoder and vod streams
### Fetch live viewer data for an account
- [GET /usage/accounts/live](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_account/liveusageaccount.md): (Available from version 1.8) This operation returns the number of current viewers between all streams, live and VOD, for the account related to the JSON web token used for API authentication.
## Transcoders
Operations related to transcoder analytics.
### Fetch usage for all transcoders
- [GET /usage/transcoders](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_transcoders/usagetranscodersindex.md): This operation shows the amount of usage (egress) for all transcoders in the account. The default time frame is from the last billing date to the end of the current day.
### Fetch usage for a single transcoder
- [GET /usage/transcoders/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_transcoders/showusagetranscoder.md): (Available from version 1.4) This operation shows the amount of usage (egress) for a specific transcoder. The default time frame is from the last billing date to the end of the current day.
### Fetch transcoder usage by country
- [GET /usage/transcoders/{id}/countries](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_transcoders/usagetranscoderbycountry.md): (Available from version 1.8) This operation returns CDN usage details for a specific transcoder by country. CDN usage is the amount of data that went through every Fastly stream target, including unique viewers, viewing time, and bytes of content.
### Fetch transcoder usage summary
- [GET /usage/transcoders/summary](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_transcoders/summaryusagetranscoder.md): (Available from version 1.4) This operation shows a summary of the amount of usage (egress) for all transcoders in the account. The default time frame is from the last billing date to the end of the current day.
### Fetch trend data for a transcoder
- [GET /usage/transcoders/{id}/trend](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_transcoders/showusagetranscodertrend.md): (Available from version 1.8) This operation returns trend data for the CDN usage of a transcoder.
The granularity of sampled data changes based on the from and to query values you use:
1) Requests made for data within the past 30 days, return the following sample intervals:
0 minutes to 3 hours - Samples returned per minute
3 hours, 1 second to 24 hours - Samples returned per hour
24 hours, 1 second to 90 days - Samples returned per day
2) Requests made for data beyond the past 30 days, always return sample intervals per hour.
Defaults: from = last billing date, to = end of current day
### Fetch transcoder live viewer data
- [GET /usage/transcoders/{id}/live](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_transcoders/liveusagetranscoder.md): (Available from version 1.8) This operation returns the number of current viewers for a transcoder.
## Stream Targets
Operations related to stream target analytics, including CDN usage and viewer data.
### Fetch usage for all stream targets
- [GET /usage/stream_targets](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage/usagestreamtargetsindex.md): (Available from version 1.4) This operation returns detailed CDN usage data for all stream targets in the account. Defaults: from = last billing date, to = end of current day.
### Fetch usage for a single stream target
- [GET /usage/stream_targets/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage/showusagestreamtarget.md): (Available from version 1.4) This operation returns CDN usage details for a specific stream target. Defaults: from = last billing date, to = end of current day.
### Fetch stream target usage summary
- [GET /usage/stream_targets/summary](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage/summmaryusagestreamtarget.md): (Available from version 1.4) This operation returns a summary of CDN usage for all stream targets in the account. Defaults: from = last billing date, to = end of current day.
### Fetch stream target usage by country
- [GET /usage/stream_targets/{id}/countries](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage/usagestreamtargetbycountry.md): (Available from version 1.4) This operation returns CDN usage details for a specific stream target by country. Defaults: from = last billing date, to = end of current day.
### Fetch stream target usage by rendition
- [GET /usage/stream_targets/{id}/renditions](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage/usagestreamtargetbyrendition.md): (Available from version 1.4) This operation returns CDN usage details for a specific stream target by output rendition. Defaults: from = last billing date, to = end of current day.
### Fetch stream target live viewer data
- [GET /usage/stream_targets/{id}/live](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage/liveusagestreamtarget.md): (Available from version 1.4) This operation returns the number of current viewers for a stream via a specific stream target.
#
> Note: This operation currently supports stream targets with a type of fastly only.
## Storage
Operations related to peak storage for an account. You can use this operation to show the amount of peak recording and VOD stream storage used by your account.
### Fetch peak storage
- [GET /usage/storage/peak](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/storage/usagestoragepeakrecordingindex.md): This operation shows the amount of peak storage used for the account. The default time frame is from the last billing date to the end of the current day.
## VOD Streams
Operations related to video on demand (VOD) stream analytics.
### Fetch usage for all VOD streams
- [GET /usage/vod_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/usagevodstreamsindex.md): (Available from version 1.5) This operation returns detailed CDN usage data for all VOD streams in the account. CDN usage is the amount of data that went through every Fastly stream target, including unique viewers, viewing time, and bytes of content.
### Fetch egress for all VOD streams
- [GET /usage/vod_streams/egress](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/usagevodstreamsegressindex.md): (Available from version 1.7) This operation returns egress usage for all VOD streams in the account. For VOD streams, egress is the traffic generated by Wowza CDN on Fastly pulling the VOD asset from storage.
### Fetch usage for a single VOD stream
- [GET /usage/vod_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/showusagevodstream.md): (Available from version 1.5) This operation returns CDN usage details for a specific VOD stream. CDN usage is the amount of data that went through every Fastly stream target, including unique viewers, viewing time, and bytes of content.
### Fetch egress for a single VOD stream
- [GET /usage/vod_streams/egress/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/showusagevodstreamegress.md): (Available from version 1.7) This operation returns egress usage for a specific VOD stream. For VOD streams, egress is the traffic generated by Wowza CDN on Fastly pulling the VOD asset from storage.
### Fetch VOD stream usage summary
- [GET /usage/vod_streams/summary](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/summmaryusagevodstream.md): (Available from version 1.5) This operation returns a summary of CDN usage for all VOD streams in the account. CDN usage is the amount of data that went through every Fastly stream target, including unique viewers, viewing time, and bytes of content.
### Fetch VOD stream usage by country
- [GET /usage/vod_streams/{id}/countries](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/usagevodstreambycountry.md): (Available from version 1.5) This operation returns CDN usage details for a specific VOD stream by country. CDN usage is the amount of data that went through every Fastly stream target, including unique viewers, viewing time, and bytes of content.
### Fetch VOD stream usage by rendition
- [GET /usage/vod_streams/{id}/renditions](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/usagevodstreambyrendition.md): (Available from version 1.5) This operation returns CDN usage details for a specific VOD stream by output rendition. CDN usage is the amount of data that went through every Fastly stream target, including unique viewers, viewing time, and bytes of content.
### Fetch VOD stream egress summary
- [GET /usage/vod_streams/egress/summary](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/summmaryusagevodstreamegress.md): (Available from version 1.7) This operation returns a summary of egress usage for all VOD streams in the account. For VOD streams, egress is the traffic generated by Wowza CDN on Fastly pulling the VOD asset from storage.
### Fetch trend data for a VOD stream
- [GET /usage/vod_streams/{id}/trend](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/showusagevodtrend.md): (Available from version 1.8) This operation returns trend data for the CDN usage of a VOD stream.
The granularity of sampled data changes based on the from and to query values you use:
1) Requests made for data within the past 30 days, return the following sample intervals:
0 minutes to 3 hours - Samples returned per minute
3 hours, 1 second to 24 hours - Samples returned per hour
24 hours, 1 second to 90 days - Samples returned per day
2) Requests made for data beyond the past 30 days, always return sample intervals per hour.
Defaults: from = last billing date, to = end of current day
### Fetch VOD stream live viewer data
- [GET /usage/vod_streams/{id}/live](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_vod_streams/liveusagevodstream.md): (Available from version 1.8) This operation returns the number of current viewers for a VOD stream.
## Real Time Streams
Operations related to real-time streams analytics.
### Fetch usage for all real-time streams
- [GET /usage/real_time_streams](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_real_time_streams/usagerealtimestreamsindex.md): (Available from version 1.9) This operation returns detailed CDN usage data for all real-time streams in the account. Defaults: from = last billing date, to = end of current day.
### Fetch usage for a single real-time stream
- [GET /usage/real_time_streams/{id}](https://developer.wowza.com/docs/wowza-video/api/video/v1.10/openapi/usage_real_time_streams/showusagerealtimestream.md): (Available from version 1.9) This operation returns CDN usage details for a specific stream target. Defaults: from = last billing date, to = end of current day.